org.apache.ignite.ml.xgboost.parser

## Interface XGBoostModelListener

- All Superinterfaces:
    org.antlr.v4.runtime.tree.ParseTreeListener

      public interface XGBoostModelListener
      extends org.antlr.v4.runtime.tree.ParseTreeListener

  This interface defines a complete listener for a parse tree produced by `XGBoostModelParser`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enterXgHeader(XGBoostModelParser.XgHeaderContext ctx)` Enter a parse tree produced by `XGBoostModelParser.xgHeader()`.
    `void` | `enterXgLeaf(XGBoostModelParser.XgLeafContext ctx)` Enter a parse tree produced by `XGBoostModelParser.xgLeaf()`.
    `void` | `enterXgModel(XGBoostModelParser.XgModelContext ctx)` Enter a parse tree produced by `XGBoostModelParser.xgModel()`.
    `void` | `enterXgNode(XGBoostModelParser.XgNodeContext ctx)` Enter a parse tree produced by `XGBoostModelParser.xgNode()`.
    `void` | `enterXgTree(XGBoostModelParser.XgTreeContext ctx)` Enter a parse tree produced by `XGBoostModelParser.xgTree()`.
    `void` | `enterXgValue(XGBoostModelParser.XgValueContext ctx)` Enter a parse tree produced by `XGBoostModelParser.xgValue()`.
    `void` | `exitXgHeader(XGBoostModelParser.XgHeaderContext ctx)` Exit a parse tree produced by `XGBoostModelParser.xgHeader()`.
    `void` | `exitXgLeaf(XGBoostModelParser.XgLeafContext ctx)` Exit a parse tree produced by `XGBoostModelParser.xgLeaf()`.
    `void` | `exitXgModel(XGBoostModelParser.XgModelContext ctx)` Exit a parse tree produced by `XGBoostModelParser.xgModel()`.
    `void` | `exitXgNode(XGBoostModelParser.XgNodeContext ctx)` Exit a parse tree produced by `XGBoostModelParser.xgNode()`.
    `void` | `exitXgTree(XGBoostModelParser.XgTreeContext ctx)` Exit a parse tree produced by `XGBoostModelParser.xgTree()`.
    `void` | `exitXgValue(XGBoostModelParser.XgValueContext ctx)` Exit a parse tree produced by `XGBoostModelParser.xgValue()`.

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeListener

      `enterEveryRule, exitEveryRule, visitErrorNode, visitTerminal`

- - ### Method Detail

    - #### enterXgValue

          void enterXgValue(XGBoostModelParser.XgValueContext ctx)

      Enter a parse tree produced by `XGBoostModelParser.xgValue()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitXgValue

          void exitXgValue(XGBoostModelParser.XgValueContext ctx)

      Exit a parse tree produced by `XGBoostModelParser.xgValue()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterXgHeader

          void enterXgHeader(XGBoostModelParser.XgHeaderContext ctx)

      Enter a parse tree produced by `XGBoostModelParser.xgHeader()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitXgHeader

          void exitXgHeader(XGBoostModelParser.XgHeaderContext ctx)

      Exit a parse tree produced by `XGBoostModelParser.xgHeader()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterXgNode

          void enterXgNode(XGBoostModelParser.XgNodeContext ctx)

      Enter a parse tree produced by `XGBoostModelParser.xgNode()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitXgNode

          void exitXgNode(XGBoostModelParser.XgNodeContext ctx)

      Exit a parse tree produced by `XGBoostModelParser.xgNode()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterXgLeaf

          void enterXgLeaf(XGBoostModelParser.XgLeafContext ctx)

      Enter a parse tree produced by `XGBoostModelParser.xgLeaf()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitXgLeaf

          void exitXgLeaf(XGBoostModelParser.XgLeafContext ctx)

      Exit a parse tree produced by `XGBoostModelParser.xgLeaf()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterXgTree

          void enterXgTree(XGBoostModelParser.XgTreeContext ctx)

      Enter a parse tree produced by `XGBoostModelParser.xgTree()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitXgTree

          void exitXgTree(XGBoostModelParser.XgTreeContext ctx)

      Exit a parse tree produced by `XGBoostModelParser.xgTree()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterXgModel

          void enterXgModel(XGBoostModelParser.XgModelContext ctx)

      Enter a parse tree produced by `XGBoostModelParser.xgModel()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitXgModel

          void exitXgModel(XGBoostModelParser.XgModelContext ctx)

      Exit a parse tree produced by `XGBoostModelParser.xgModel()`.
      Parameters:
        `ctx` - the parse tree

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023